/***************************************************************************
                          hiscore.h  -  description
                             -------------------
    begin                : Wed Mar 1 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef HISCORE_H
#define HISCORE_H

/**
  *@author Michael Speck
  */

struct HiScoreEntry {
	char	name[12];
	int		level;
	int		lines;
	int		score;
};

class HiScore {
public: 
	HiScore(char *f);
	~HiScore();
	void Create();
	int Load(char *f);
	void Save(char *f);
	void Save();
	HiScoreEntry Entry(int i);
	int CheckEntry(HiScoreEntry *entry);
private:
	HiScoreEntry	*entries;
	int				entry_num;
	char			filename[32];
	int             in_src_dir;
};

#endif
